Package com.independentsoft.office.charts

# Class Scaling

java.lang.Object
com.independentsoft.office.charts.Scaling

public class Scaling extends Object
The Class Scaling.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Scaling()`
  Instantiates a new scaling.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Scaling`
  `clone()`
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`c:extLst`).
  `int`
  `getLogarithmicBase()`
  Gets the logarithmic base.
  `double`
  `getMaximum()`
  Gets the maximum.
  `double`
  `getMinimum()`
  Gets the minimum.
  `Orientation`
  `getOrientation()`
  Gets the orientation.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`c:extLst`).
  `void`
  `setLogarithmicBase​(int logarithmicBase)`
  Sets the logarithmic base.
  `void`
  `setMaximum​(double maximum)`
  Sets the maximum.
  `void`
  `setMinimum​(double minimum)`
  Sets the minimum.
  `void`
  `setOrientation​(Orientation orientation)`
  Sets the orientation.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Scaling

    public Scaling()
    Instantiates a new scaling.

- ## Method Details

  - ### clone

    public Scaling clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getOrientation

    public Orientation getOrientation()
    Gets the orientation.
    Returns:
      the orientation

  - ### setOrientation

    public void setOrientation​(Orientation orientation)
    Sets the orientation.
    Parameters:
      `orientation` - the new orientation

  - ### getMinimum

    public double getMinimum()
    Gets the minimum.
    Returns:
      the minimum

  - ### setMinimum

    public void setMinimum​(double minimum)
    Sets the minimum.
    Parameters:
      `minimum` - the new minimum

  - ### getMaximum

    public double getMaximum()
    Gets the maximum.
    Returns:
      the maximum

  - ### setMaximum

    public void setMaximum​(double maximum)
    Sets the maximum.
    Parameters:
      `maximum` - the new maximum

  - ### getLogarithmicBase

    public int getLogarithmicBase()
    Gets the logarithmic base.
    Returns:
      the logarithmic base

  - ### setLogarithmicBase

    public void setLogarithmicBase​(int logarithmicBase)
    Sets the logarithmic base.
    Parameters:
      `logarithmicBase` - the new logarithmic base